Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.app.audio
Class MusicMediaControl

    java.lang.Object
      |
      +--quicktime.app.audio.AudioMediaControl
            |
            +--quicktime.app.audio.MusicMediaControl

All Implemented Interfaces:
  AudioSpec, ExtendedAudioSpec, MusicScore

public class MusicMediaControl
extends AudioMediaControl
implements MusicScore

This class is a specialized version of the generic AudioMediaControl class which provides added capability for dealing specifically with MusicMedia.

Fields inherited from class quicktime.app.audio.AudioMediaControl
`audioHandler, audioMedia`

Constructor Summary
`MusicMediaControl(MusicMedia m)` The constructor needs to know which MusicMedia object is being controlled.

Method Summary
`MusicPart` | `getPart(int part)` This method returns the NoteChannel responsible for a given part in the score.
`int` | `getPartCount()` This method returns the number of parts.

Methods inherited from class quicktime.app.audio.AudioMediaControl
`getBalance, getMedia, getVolume, isMuted, setBalance, setMuted, setVolume`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface quicktime.app.audio.ExtendedAudioSpec
`getBalance, setBalance`

Methods inherited from interface quicktime.app.audio.AudioSpec
`getVolume, isMuted, setMuted, setVolume`

Constructor Detail

### MusicMediaControl

    public MusicMediaControl(MusicMedia m)
                      throws QTException

  The constructor needs to know which MusicMedia object is being controlled.
  Parameters:
    `m` - the MusicMedia object being controlled

Method Detail

### getPartCount

    public int getPartCount()
                     throws QTException

  This method returns the number of parts.
  Specified by:
    `getPartCount` in interface `MusicScore`
  Returns:
    the number of parts

### getPart

    public MusicPart getPart(int part)
                      throws QTException

  This method returns the NoteChannel responsible for a given part in the score.
  Specified by:
    `getPart` in interface `MusicScore`
  Parameters:
    `part` - the part number of the required note channel
  Returns:
    the NoteChannel requested

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD